GNU logs - #45544, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#45544: 27.1.90; Slow org-capture on OpenBSD X
Resent-From: Timo =?UTF-8?Q?Myyr=C3=A4?= <timo.myyra@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 30 Dec 2020 00:14:02 +0000
Resent-Message-ID: <handler.45544.B.16092872104887 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 45544
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 45544 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16092872104887
          (code B ref -1); Wed, 30 Dec 2020 00:14:02 +0000
Received: (at submit) by debbugs.gnu.org; 30 Dec 2020 00:13:30 +0000
Received: from localhost ([127.0.0.1]:40511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuP7I-0001Gk-Vb
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 19:13:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:46196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <timo.myyra@HIDDEN>) id 1kuMtU-000663-5A
 for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 16:51:07 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41124)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <timo.myyra@HIDDEN>)
 id 1kuMtT-0004zb-Eg
 for bug-gnu-emacs@HIDDEN; Tue, 29 Dec 2020 16:51:03 -0500
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:60399)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <timo.myyra@HIDDEN>)
 id 1kuMtP-0005Qw-QO
 for bug-gnu-emacs@HIDDEN; Tue, 29 Dec 2020 16:51:03 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id F2D327DB
 for <bug-gnu-emacs@HIDDEN>; Tue, 29 Dec 2020 16:50:53 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Tue, 29 Dec 2020 16:50:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=bittivirhe.fi;
 h=from:to:subject:message-id:date:mime-version:content-type; s=
 fm1; bh=pwuiqz6wrHgAXbe5D30egswGoColiccYkSAuZnap4sE=; b=Aax0CKbJ
 3JTy0dMIIL+ajKxn3wvB8qmzM7OPZX7fA6oN+JJrxH5iKb+Th2o+7o9vfkArqtrn
 mcFXXIzAx8AnsgSR5pe6PZdzTYEbo2CjmKXsGmTL8squTMva1olZb9HPJ8I5LeY1
 VO+rqIP2zkMiY26jpIk4lAuZcabmwfuCKjTY7kE+WsgQ5OATrIHArjR1Jymy/HXR
 6Um8oPyhj9SI6/FE/6zRtUcWLHGJ/eEhJluja151mu8C4jo95v2TsDcie9Bnahpb
 VJgTfC1am+GtUKy7zw9YnDkLk2PvuZdUj/U5Y/1hLQVOPWmWDpibD2fXD2GsUsnV
 apwGwwR9GxELlA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=pwuiqz6wrHgAXbe5D30egswGoColi
 ccYkSAuZnap4sE=; b=a7qJk8r9Yocsl8lNJYtulRXuxt+/YZ5q+tjF8pbk6VCC2
 9loEEHye5vkRLt+M1UIjl7CiskHx+ujFvyFKe62+AsnO89NqBGfZW03gRyUH3c2X
 qIKs3o+89GSdCiA84hpeDZ28hxPA9QO6dyd6xJwbO0rVLjn8bOHmuo6gsYEKyEVb
 T8SrlIriw+3ia2SBYyrcLzau4UPjcXX40RQIXReD5Tabt5lU0nKn9hcrqmW2ezYa
 E0cOjfZQ5Od71Su3gK2rpwJsr5DQAAEb315VspbtFsgolKVgHeKShBZj+4/zDpPI
 VURvJkb2AgA8x2I1I8EOmuHrQ/SLFB1KQjZ1iB97Q==
X-ME-Sender: <xms:vaTrX0DeKoVkHTxLQ8IK4LpnAX0JyN5pK9HDcCyWQnnnO_RbQLl7uA>
 <xme:vaTrX2g95OFVPAiOj4umJa42JVFlQSoimdZfuSwOHAPGVdm0Y0zdIvdX_Cu7FeeZf
 6XAXoKGWczcZeNUFw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrvddvuddgudehhecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvuffkffggtgesthdtredttd
 dtjeenucfhrhhomhepvfhimhhopgfohiihrhomuceothhimhhordhmhiihrhgrsegsihht
 thhivhhirhhhvgdrfhhiqeenucggtffrrghtthgvrhhnpefgvedvueejudekjeejudetje
 dvhfevgeeftdeigeevfedtfefgheehgeevkeejvdenucffohhmrghinhepohhmvggthhgr
 rdhinhhfohdpsghithhtihhvihhrhhgvrdhfihenucfkphepledurdduhedvrdejhedrud
 ekkeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpeht
 ihhmohdrmhihhihrrgessghithhtihhvihhrhhgvrdhfih
X-ME-Proxy: <xmx:vaTrX3ntmQAXMAylTTA3oeZKmkh8gDK6clWqxVEW1XMlE33kdZXw3g>
 <xmx:vaTrX6w-VKveWA8gGU6fvgkuzcsvUs1Eo5xx4ggrmSQEwt_X-BypOA>
 <xmx:vaTrX5T7AM6s5sFCJrpQ-Oi3T4kBN69TIQlrxM0vhBCCu4V-Vya2zA>
 <xmx:vaTrXwfRIDZ1L7pm1V_5vkfLEF611GpM0ptE0rJ9rNTig01pGBuVsQ>
Received: from asteroid.bittivirhe.fi.bittivirhe.fi
 (91-152-75-188.elisa-laajakaista.fi [91.152.75.188])
 by mail.messagingengine.com (Postfix) with ESMTPA id D23A21080059
 for <bug-gnu-emacs@HIDDEN>; Tue, 29 Dec 2020 16:50:52 -0500 (EST)
From: Timo =?UTF-8?Q?Myyr=C3=A4?= <timo.myyra@HIDDEN>
Message-ID: <87mtxw9tkp.fsf@HIDDEN>
Date: Tue, 29 Dec 2020 23:50:50 +0200
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=64.147.123.21;
 envelope-from=timo.myyra@HIDDEN; helo=wout5-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Mailman-Approved-At: Tue, 29 Dec 2020 19:13:27 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hi,

Emacs is by default very slow when running org-capture when using
graphical emacs on OpenBSD. This behaviour has been present for few
versions already and others seems to have spotted similar issue [0].

Steps to reproduce issue:
- Run 'emacs -Q' on OpenBSD X
- switch major-mode to org-mode
- run 'org-capture'
- select template 't'

After selecting template the emacs seems to freeze for a while but
completes if I wait enough. My inaccurate wall clock measurement seems to
give that first time running org-capture it takes about 30s. to
complete. Later runs seems to work a bit faster and complete in 16s.

Setting x-selection-timeout to 10 makes org-capture complete almost
instantaneously but this seems be working around the issue and not
fixing the root cause.

[0] https://omecha.info/blog/org-capture-freezes-emacs.html

In GNU Emacs 27.1.90 (build 1, x86_64-unknown-openbsd, GTK+ Version 3.24.24)
 of 2020-12-19 built on asteroid.bittivirhe.fi
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: OpenBSD asteroid.bittivirhe.fi 6.8 GENERIC.MP#17 amd64

Recent messages:
Mark set
Auto-saving...

Configured using:
 'configure --build=amd64-unknown-openbsd --without-sound
 --with-x-toolkit=gtk3 --prefix=/usr/local --sysconfdir=/etc
 --mandir=/usr/local/man --infodir=/usr/local/info --localstatedir=/var
 --disable-silent-rules --disable-gtk-doc 'CFLAGS=-O2 -pipe -g'
 CPPFLAGS=-I/usr/local/include 'LDFLAGS=-L/usr/local/lib -g''

Configured features:
XPM JPEG TIFF GIF PNG RSVG DBUS GSETTINGS GLIB NOTIFY KQUEUE GNUTLS
LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  pdf-occur-global-minor-mode: t
  TeX-PDF-mode: t
  org-indent-mode: t
  buffer-face-mode: t
  magit-auto-revert-mode: t
  auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  electric-pair-mode: t
  which-function-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  recentf-mode: t
  savehist-mode: t
  sly-symbol-completion-mode: t
  minibuffer-electric-default-mode: t
  minibuffer-depth-indicate-mode: t
  icomplete-mode: t
  save-place-mode: t
  which-key-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: org-auto-fill-function
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/tmy/.emacs.d/elpa/modus-themes-20201218.1132/modus-vivendi-theme hides /home/tmy/.emacs.d/elpa/modus-vivendi-theme-20201114.729/modus-vivendi-theme
/home/tmy/.emacs.d/elpa/jsonrpc-1.0.14/jsonrpc hides /usr/local/share/emacs/27.1.90/lisp/jsonrpc
/home/tmy/.emacs.d/elpa/xref-1.0.4/xref hides /usr/local/share/emacs/27.1.90/lisp/progmodes/xref
/home/tmy/.emacs.d/elpa/project-0.5.3/project hides /usr/local/share/emacs/27.1.90/lisp/progmodes/project
/home/tmy/.emacs.d/elpa/flymake-1.0.9/flymake hides /usr/local/share/emacs/27.1.90/lisp/progmodes/flymake
/home/tmy/.emacs.d/elpa/seq-2.22/seq hides /usr/local/share/emacs/27.1.90/lisp/emacs-lisp/seq
/home/tmy/.emacs.d/elpa/eldoc-1.11.0/eldoc hides /usr/local/share/emacs/27.1.90/lisp/emacs-lisp/eldoc

Features:
(shadow ob-ditaa ob-plantuml org-clock org-colview org-crypt org-habit
profiler proced go-mode find-file markdown-mode vc-mtn vc-hg eglot array
jsonrpc ert ewoc typescript-mode js php-mode cc-langs php-face php
php-project pcmpl-unix em-unix em-term term ehelp em-script em-prompt
em-ls em-hist em-pred em-glob em-dirs esh-var em-cmpl em-basic em-banner
em-alias esh-mode tramp-cmds sh-script smie reftex-ref reftex-parse
reftex-index reftex-dcr reftex reftex-loaddefs reftex-vars vc-bzr vc-src
vc-sccs vc-svn vc-cvs vc-rcs plain-tex pdf-sync pdf-annot pdf-outline
pdf-links pdf-history pdf-occur tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet pdf-isearch let-alist pdf-misc pdf-tools
cus-edit cus-start cus-load pdf-view pdf-cache pdf-info tq pdf-util
bongo lastfm-submit preview tex-buf font-latex latex latex-flymake
tex-ispell tex-style tex dbus texmathp tex-mode latexenc org-archive rx
url-about url-dav url-http url-auth url-dired url-gw hippie-exp tramp-sh
tramp-cache tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat ls-lisp emacsbug macros magit-imenu git-rebase ispell
org-duration cal-iso diary-lib diary-loaddefs holidays hol-loaddefs
cal-move tabify org-indent elfeed-link elfeed-show elfeed-search
elfeed-csv elfeed elfeed-curl elfeed-log xml-query elfeed-db elfeed-lib
org-capture org-agenda org-refile shr-color color edebug two-column
iso-transl cursor-sensor gnus-fun flow-fill korea-util cwarn cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs pulse view eieio-opt speedbar sb-image ezimage dframe forms
forms-mode mailalias ol-eww eww ol-rmail ol-mhe ol-irc ol-info ol-gnus
ol-docview doc-view jka-compr image-mode exif ol-bibtex bibtex ol-bbdb
ol-w3m nnir goto-addr cl-print debug backtrace find-dired ffap
magit-extras mule-util vc-git bug-reference face-remap magit-bookmark
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log magit-diff magit-core
magit-autorevert autorevert filenotify magit-margin magit-transient
magit-process magit-mode git-commit transient magit-git magit-section
magit-utils crm log-edit pcvs-util with-editor async-bytecomp async
shell server misearch multi-isearch gnus-dired hl-line ibuf-ext ibuffer
ibuffer-loaddefs executable gnus-html url-queue help-fns radix-tree
url-cache mm-url qp sort smiley gnus-cite mm-archive mail-extr
gnus-bcklg gnus-ml disp-table nndraft nnmh utf-7 nnfolder epa-file
network-stream nsm add-log company-oddmuse company-keywords
company-etags company-gtags company-dabbrev-code company-dabbrev
company-files company-clang company-capf company-cmake company-semantic
company-bbdb cap-words superword subword elec-pair whitespace which-func
delsel paren recentf tree-widget savehist init company-php
company-template company pcase ac-php-core popup xcscope f dash s
sly-repl-ansi-color sly sly-completion sly-buttons sly-messages
sly-common apropos etags fileloop xref project arc-mode archive-mode
hyperspec rvm flymake-eslint flymake-proc flymake warnings smerge-mode
diff-mode diff vc vc-dispatcher dired-aux dired-x imenu minibuf-eldef
mb-depth icomplete-vertical icomplete gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-cache gnus-async nntp gnus-art mm-uu
mml2015 mm-view mml-smime smime dig gnus-sum url url-proxy url-privacy
url-expand url-methods url-history mailcap shr url-cookie url-domsuf
url-util svg xml dom gnus-group gnus-undo gnus-start gnus-cloud nnimap
nnmail mail-source utf7 nnoo parse-time iso8601 gnus-spec gnus-int
gnus-range message rmc dired dired-loaddefs rfc822 mml mml-sec epa
derived epg epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail
rmail-loaddefs wid-edit smtpmail sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils ox-odt rng-loc rng-uri rng-parse rng-match
rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util
ox-latex ox-icalendar ox-html table ox-ascii ox-publish ox org-element
avl-tree generator org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete pcomplete
org-list org-faces org-entities time-date noutline outline org-version
ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-compat org-macs
org-loaddefs format-spec find-func ssh-tunnels netrc eshell esh-cmd
esh-ext esh-opt esh-proc esh-io esh-arg esh-module esh-groups esh-util
exec-path-from-shell bookmark text-property-search pp saveplace time
time-stamp solar cal-dst suomalainen-kalenteri cal-menu calendar
cal-loaddefs modus-vivendi-theme modus-themes easy-kill thingatpt
ansible-vault grep compile comint ansi-color ring diminish which-key
advice use-package-diminish edmacro kmacro use-package-bind-key bind-key
use-package-ensure gnutls puny cl-extra help-mode use-package-core
finder-inf tex-site easy-mmode info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind kqueue lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 1391595 126462)
 (symbols 48 105172 11)
 (strings 32 319831 27059)
 (string-bytes 1 37818734)
 (vectors 16 143572)
 (vector-slots 8 2819118 124294)
 (floats 8 8424 2129)
 (intervals 56 120785 13460)
 (buffers 1000 308))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Timo =?UTF-8?Q?Myyr=C3=A4?= <timo.myyra@HIDDEN>
Subject: bug#45544: Acknowledgement (27.1.90; Slow org-capture on OpenBSD X)
Message-ID: <handler.45544.B.16092872104887.ack <at> debbugs.gnu.org>
References: <87mtxw9tkp.fsf@HIDDEN>
X-Gnu-PR-Message: ack 45544
X-Gnu-PR-Package: emacs
Reply-To: 45544 <at> debbugs.gnu.org
Date: Wed, 30 Dec 2020 00:14:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 45544 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
45544: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D45544
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#45544: 27.1.90; Slow org-capture on OpenBSD X
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 30 Dec 2020 03:31:02 +0000
Resent-Message-ID: <handler.45544.B45544.16092990176927 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 45544
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Timo =?UTF-8?Q?Myyr=C3=A4?= <timo.myyra@HIDDEN>
Cc: 45544 <at> debbugs.gnu.org
Received: via spool by 45544-submit <at> debbugs.gnu.org id=B45544.16092990176927
          (code B ref 45544); Wed, 30 Dec 2020 03:31:02 +0000
Received: (at 45544) by debbugs.gnu.org; 30 Dec 2020 03:30:17 +0000
Received: from localhost ([127.0.0.1]:40651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuSBk-0001ne-ON
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 22:30:17 -0500
Received: from quimby.gnus.org ([95.216.78.240]:60808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kuSBh-0001nN-N9
 for 45544 <at> debbugs.gnu.org; Tue, 29 Dec 2020 22:30:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=4lCU2tXukS/U4VzbxtDPtQ+4hXmyZwrwFx/GW3vxwGA=; b=eANuppL8TqkBpH4ETW5dGV3hBJ
 Y2Vh6AH7HK0j8z60e8nNSt7k0oU8Txhfn3n8vyq4pfg2CzX9nLunw6Xrr8e0mafifztkj/tH+bR+x
 iLPHvbgyT2iIjzI+Xb90rCeUE8RCvywgylZE/48ZZRqRjqt8dPn9KJFCuHkDF1XFUBz0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kuSBY-0001V9-Ap; Wed, 30 Dec 2020 04:30:07 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87mtxw9tkp.fsf@HIDDEN>
X-Now-Playing: Simon & Garfunkel's _The Concert In Central Park_: "America"
Date: Wed, 30 Dec 2020 04:30:03 +0100
In-Reply-To: <87mtxw9tkp.fsf@HIDDEN> ("Timo =?UTF-8?Q?Myyr=C3=A4?="'s message
 of "Tue, 29 Dec 2020 23:50:50 +0200")
Message-ID: <87blecq8ck.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Timo =?UTF-8?Q?Myyr=C3=A4?= <timo.myyra@HIDDEN> writes: > Emacs is
   by default very slow when running org-capture when using > graphical emacs
    on OpenBSD. This is a known bug -- see bug#29170. There is a proposed patch
    there, but it has some problems. If you could work out a better solution,
    that would be great. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Timo Myyr=C3=A4 <timo.myyra@HIDDEN> writes:

> Emacs is by default very slow when running org-capture when using
> graphical emacs on OpenBSD.

This is a known bug -- see bug#29170.  There is a proposed patch there,
but it has some problems.  If you could work out a better solution, that
would be great.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Dec 2020 03:30:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 22:30:23 2020
Received: from localhost ([127.0.0.1]:40654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuSBr-0001nz-6n
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 22:30:23 -0500
Received: from quimby.gnus.org ([95.216.78.240]:60822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kuSBp-0001nd-S1
 for control <at> debbugs.gnu.org; Tue, 29 Dec 2020 22:30:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=e38VtwIjW7ECPq3yIKMOMrVeUnkDfRkaBcVryI3JM9s=; b=TdpWHpRFOuPc1mBsuU0EffgUnp
 OBrUgjoVtm6sUEOgwbvBLpl7jmDMAbhN6cypWMFth+bbcbPEohIM1PDLtlIcRJxve5J5FqeljjiEK
 IZmswB0xyjFIeIxEDvsVKVUJ4k8CTR9aytndAFDN+I94ZexZHztN8nIihahnsMJxClrA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kuSBi-0001VG-8l
 for control <at> debbugs.gnu.org; Wed, 30 Dec 2020 04:30:16 +0100
Date: Wed, 30 Dec 2020 04:30:13 +0100
Message-Id: <87a6twq8ca.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #45544
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  forcemerge 45544 29170 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 45544 29170
quit






Last modified: Wed, 30 Dec 2020 03:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.